osgParticle::ParticleSystem::ArrayData Struct Reference

`#include <ParticleSystem>`

## Public Types

typedef std::pair< GLenum, unsigned int > | ModeCount
typedef std::vector< ModeCount > | Primitives

## Public Member Functions

| ArrayData ()
void | init ()
void | init3 ()
void | reserve (unsigned int numVertices)
void | resize (unsigned int numVertices)
void | resizeGLObjectBuffers (unsigned int maxSize)
void | releaseGLObjects (osg::State *state)
void | clear ()
void | dirty ()
void | dispatchArrays (osg::State &state)
void | dispatchPrimitives ()

## Public Attributes

osg::ref_ptr< osg::BufferObject > | vertexBufferObject
osg::ref_ptr< osg::Vec3Array > | vertices
osg::ref_ptr< osg::Vec3Array > | normals
osg::ref_ptr< osg::Vec4Array > | colors
osg::ref_ptr< osg::Vec2Array > | texcoords2
osg::ref_ptr< osg::Vec3Array > | texcoords3
Primitives | primitives

## Member Typedef Documentation

## ModeCount

typedef std::pair<GLenum, unsigned int> osgParticle::ParticleSystem::ArrayData::ModeCount

## Primitives

typedef std::vector<ModeCount> osgParticle::ParticleSystem::ArrayData::Primitives

## Constructor & Destructor Documentation

## ArrayData()

osgParticle::ParticleSystem::ArrayData::ArrayData | ( |  | ) |

## Member Function Documentation

## clear()

void osgParticle::ParticleSystem::ArrayData::clear | ( |  | ) |

## dirty()

void osgParticle::ParticleSystem::ArrayData::dirty | ( |  | ) |

## dispatchArrays()

void osgParticle::ParticleSystem::ArrayData::dispatchArrays | ( | osg::State & | state | ) |

## dispatchPrimitives()

void osgParticle::ParticleSystem::ArrayData::dispatchPrimitives | ( |  | ) |

## init()

void osgParticle::ParticleSystem::ArrayData::init | ( |  | ) |

## init3()

void osgParticle::ParticleSystem::ArrayData::init3 | ( |  | ) |

## releaseGLObjects()

void osgParticle::ParticleSystem::ArrayData::releaseGLObjects | ( | osg::State * | state | ) |

## reserve()

void osgParticle::ParticleSystem::ArrayData::reserve | ( | unsigned int | numVertices | ) |

## resize()

void osgParticle::ParticleSystem::ArrayData::resize | ( | unsigned int | numVertices | ) |

## resizeGLObjectBuffers()

void osgParticle::ParticleSystem::ArrayData::resizeGLObjectBuffers | ( | unsigned int | maxSize | ) |

## Member Data Documentation

## colors

osg::ref_ptr<osg::Vec4Array> osgParticle::ParticleSystem::ArrayData::colors

## normals

osg::ref_ptr<osg::Vec3Array> osgParticle::ParticleSystem::ArrayData::normals

## primitives

Primitives osgParticle::ParticleSystem::ArrayData::primitives

## texcoords2

osg::ref_ptr<osg::Vec2Array> osgParticle::ParticleSystem::ArrayData::texcoords2

## texcoords3

osg::ref_ptr<osg::Vec3Array> osgParticle::ParticleSystem::ArrayData::texcoords3

## vertexBufferObject

osg::ref_ptr<osg::BufferObject> osgParticle::ParticleSystem::ArrayData::vertexBufferObject

## vertices

osg::ref_ptr<osg::Vec3Array> osgParticle::ParticleSystem::ArrayData::vertices

The documentation for this struct was generated from the following file:

- ParticleSystem